Check and record connection readiness
curl --request POST \
--url https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"readiness": {
"status": "ready",
"checkedAt": "2023-11-07T05:31:56Z",
"lastSuccessfulAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"failure": "sign_in_required",
"referenceId": "<string>",
"providerSettingsUrl": "<string>"
}
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "connection_not_found",
"message": "<string>"
}{
"error": "connection_not_ready",
"message": "<string>",
"connectionStatus": {
"version": 1,
"kind": "connection_action",
"source": "openwork-cloud",
"connectionId": "<string>",
"connectionName": "<string>",
"authType": "oauth",
"credentialMode": "shared",
"state": "needs_connection",
"actor": "member",
"action": {
"type": "connect",
"surface": "openwork_your_connections",
"retry": "search_capabilities",
"label": "<string>",
"url": "<string>"
},
"message": "<string>"
}
}Capability Sources
Check and record connection readiness
Checks initialize and tools/list with Den-managed credentials, without executing tools. Stores the result and time. Requires connections.manage.
POST
/
v1
/
mcp-connections
/
{connectionId}
/
check
Check and record connection readiness
curl --request POST \
--url https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/mcp-connections/{connectionId}/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"readiness": {
"status": "ready",
"checkedAt": "2023-11-07T05:31:56Z",
"lastSuccessfulAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"failure": "sign_in_required",
"referenceId": "<string>",
"providerSettingsUrl": "<string>"
}
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "connection_not_found",
"message": "<string>"
}{
"error": "connection_not_ready",
"message": "<string>",
"connectionStatus": {
"version": 1,
"kind": "connection_action",
"source": "openwork-cloud",
"connectionId": "<string>",
"connectionName": "<string>",
"authType": "oauth",
"credentialMode": "shared",
"state": "needs_connection",
"actor": "member",
"action": {
"type": "connect",
"surface": "openwork_your_connections",
"retry": "search_capabilities",
"label": "<string>",
"url": "<string>"
},
"message": "<string>"
}
}Authorizations
denApiKeybearerAuth
Path Parameters
Was this page helpful?